# Uses of Interface co.aikar.timings.Timing (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: co.aikar.timings, interface: Timing

# Uses of Interface
co.aikar.timings.Timing

Packages that use Timing
Package
Description
co.aikar.timings
org.bukkit.command
Classes relating to handling specialized non-chat player input.

## Uses of Timing in co.aikar.timings

Classes in co.aikar.timings that implement Timing
Modifier and Type
Class
Description
`class`
`FullServerTickHandler`
`final class`
`NullTimingHandler`
Fields in co.aikar.timings declared as Timing
Modifier and Type
Field
Description
`static final Timing`
NullTimingHandler.`NULL`
`static final Timing`
Timings.`NULL_HANDLER`
`static final Timing`
TimingsManager.`PLUGIN_GROUP_HANDLER`
Methods in co.aikar.timings that return Timing
Modifier and Type
Method
Description
`static @NotNull Timing`
TimingsManager.`getCommandTiming(@Nullable String pluginName, @NotNull Command command)`
Due to access restrictions, we need a helper method to get a Command TimingHandler with String group
`static @NotNull Timing`
Timings.`of(@NotNull Plugin plugin, @NotNull String name)`
Returns a Timing for a plugin corresponding to a name.
`static @NotNull Timing`
Timings.`of(@NotNull Plugin plugin, @NotNull String name, @Nullable Timing groupHandler)`
Returns a handler that has a groupHandler timer handler.
`static @NotNull Timing`
Timings.`ofStart(@NotNull Plugin plugin, @NotNull String name)`
Returns a Timing object after starting it, useful for Java7 try-with-resources.
`static @NotNull Timing`
Timings.`ofStart(@NotNull Plugin plugin, @NotNull String name, @Nullable Timing groupHandler)`
Returns a Timing object after starting it, useful for Java7 try-with-resources.
`@NotNull Timing`
FullServerTickHandler.`startTiming()`
`@NotNull Timing`
NullTimingHandler.`startTiming()`
`@NotNull Timing`
Timing.`startTiming()`
Starts timing the execution until `stopTiming()` is called.
`@NotNull Timing`
NullTimingHandler.`startTimingIfSync()`
`@NotNull Timing`
Timing.`startTimingIfSync()`
Starts timing the execution until `stopTiming()` is called.
Methods in co.aikar.timings with parameters of type Timing
Modifier and Type
Method
Description
`static @NotNull Timing`
Timings.`of(@NotNull Plugin plugin, @NotNull String name, @Nullable Timing groupHandler)`
Returns a handler that has a groupHandler timer handler.
`static @NotNull Timing`
Timings.`ofStart(@NotNull Plugin plugin, @NotNull String name, @Nullable Timing groupHandler)`
Returns a Timing object after starting it, useful for Java7 try-with-resources.

## Uses of Timing in org.bukkit.command

Fields in org.bukkit.command declared as Timing
Modifier and Type
Field
Description
`Timing`
Command.`timings`